function res=bt_polyh_1ncols(mat)
	% -- function for internal use
	%
	%    see also http://bensolve.org/files/manual.pdf
	res=mat./(ones(size(mat,1),1)*norm2(mat));
end

function v=norm2(mat)
	v=zeros(1,size(mat,2));
	for i=1:size(v,2)
		v(1,i)=sqrt(mat(:,i)'*mat(:,i));
	end
end
